Tool: update_connect_cluster
Update an existing Google Cloud Managed service for Apache Kafka Connect cluster.
This tool returns a long-running operation (LRO) that you can poll using the get_operation tool to track the Connect cluster update status. Connect cluster updates can take 20 minutes or longer.
Important Notes:
- When calling update_connect_cluster, you must provide the name of the Connect cluster to update, formatted as
projects/{project}/locations/{location}/connectClusters/{connect_cluster_id}. - The
kafka_clusterfield is immutable and cannot be updated after creation. - To clear a field, use the
fields_to_clearparameter with a list of field masks.
The following sample demonstrate how to use curl to invoke the update_connect_cluster MCP tool.
| Curl Request |
|---|
curl --location 'https://managedkafka.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "update_connect_cluster", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for UpdateConnectCluster.
UpdateConnectClusterRequest
| JSON representation |
|---|
{ "name": string, "fieldsToClear": [ string ], "subnets": [ string ], "labels": { string: string, ... }, "secretPaths": [ string ], "dnsDomainNames": [ string ], // Union field |
| Fields | |
|---|---|
name |
Required. The name of the Connect cluster to update. Format: projects/{project}/locations/{location}/connectClusters/{connect_cluster_id} |
fieldsToClear[] |
Optional. Fields to clear in the Connect cluster update. |
subnets[] |
Optional. The updated VPC subnets for the Connect cluster. Format: projects/{project}/regions/{region}/subnetworks/{subnet_id} |
labels |
Optional. The updated labels for the Connect cluster. An object containing a list of |
secretPaths[] |
Optional. The updated secrets to load into workers. |
dnsDomainNames[] |
Optional. The updated additional DNS domain names from the subnets' networks to be made visible to the Connect Cluster. |
Union field
|
|
vcpuCount |
Optional. The number of vCPUs to provision for the Connect cluster. |
Union field
|
|
memoryBytes |
Optional. The memory to provision for the Connect cluster in bytes. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Output Schema
This resource represents a long-running operation that is the result of a network API call.
Operation
| JSON representation |
|---|
{ "name": string, "metadata": { "@type": string, field1: ..., ... }, "done": boolean, // Union field |
| Fields | |
|---|---|
name |
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the |
metadata |
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. An object containing fields of an arbitrary type. An additional field |
done |
If the value is |
Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following: |
|
error |
The error result of the operation in case of failure or cancellation. |
response |
The normal, successful response of the operation. If the original method returns no data on success, such as An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌